POST api/batchapi/add/begindryingstep
Request Information
URI Parameters
None.
Body Parameters
BatchMedistreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
Required |
|
| medistream_id | globally unique identifier |
Required |
|
| witness_id | globally unique identifier |
Required |
|
| compartment | integer |
Required |
|
| temp_max | decimal number |
None. |
|
| start_time | date |
None. |
|
| stop_time | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "3d94ae70-e99a-4365-86aa-09749ca81f89",
"batch_id": "0454b65b-8b70-428e-96d9-7e4e0481cfec",
"medistream_id": "bdf19d1e-4ca7-4c02-9321-9cb9192f2cf6",
"witness_id": "e810a5aa-30d9-4fad-b604-96535518f5b6",
"compartment": 1,
"temp_max": 1.1,
"start_time": "2026-06-10T01:07:33.0315361+00:00",
"stop_time": "2026-06-10T01:07:33.0315361+00:00"
}
application/xml, text/xml
Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>0454b65b-8b70-428e-96d9-7e4e0481cfec</batch_id> <compartment>1</compartment> <id>3d94ae70-e99a-4365-86aa-09749ca81f89</id> <medistream_id>bdf19d1e-4ca7-4c02-9321-9cb9192f2cf6</medistream_id> <start_time>2026-06-10T01:07:33.0315361+00:00</start_time> <stop_time>2026-06-10T01:07:33.0315361+00:00</stop_time> <temp_max>1.1</temp_max> <witness_id>e810a5aa-30d9-4fad-b604-96535518f5b6</witness_id> </batch_medistream>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"f8686309-0c75-465f-9481-c039d81a821d"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">f8686309-0c75-465f-9481-c039d81a821d</guid>